System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Discovery.DiscoverySearchPattern

The class inherits from the abstract class and is employed by the class's method, which handles an HTTP request for a discovery document. Normally, none of these classes need to be used directly by a developer.

Obtains the file locations of XML Schema documents for use in populating a Web services discovery document. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.Services.Discovery.DiscoveryReference ``

  The concrete class inherits from the abstract class.

  A instance contains the location of the .xsd file.

  Returns the object for a given discovery document.

  A object that specifies the file name for an XML Schema document.

  The file system path of the XML Schema document. 1.0.5000.0 2.0.0.0
- Property
  System.String a

  The pattern "*.xsd" indicates an XML Schema document extension.

  Gets the file name pattern to use as a search target.

  1.0.5000.0
  2.0.0.0